rpm

rpmコマンドは、UNIX系OSのroot権限でのみ利用可能なコマンドで、 RPMパッケージのインストールなどができます。

RSS

  • 受付中

    回答
    1

    RedHatEnterpriseLinuxのパッケージのバージョン番号に関して

    聞きたいこと RedHatEnterpriseLinuxのパッケージのバージョン番号に関してお伺いしたいです。 RedHatのセキュリティアドバイザリー(下記参照)などを見ていると、更新パッケージが記載されていますが、 自分自身が今使用しているサーバーにて、yum check-update --securityで検索した更新パッケージのバージョンと違いがあ

    • 0評価
    • 42PV
    kk123 kk123 1週間前に コメント
  • 解決済

    回答
    1

    centos7でlibzipを0.11以降にアップデートしたい

    お世話になります。 前提・実現したいこと ◆サーバー環境 centos7 / php7 ◆やりたいこと cakephp3でPHPExcelを利用したい →PHPのzipをインストールしたい →libzipを0.11以降にアップデートしたい ◆状況 cakephpで開発しているwebアプリケーションでPHPExcelを利用したところ"Class '

    • 0評価
    • 339PV
    riho-beginner riho-beginner 1ヶ月前に コメント
  • 解決済

    回答
    2

    インストール済みのphpにzip extensionを追加したいが、libzipが入っておらず追加で...

    CentOS6.8を使用しております。 すでにinstall済みのphpに、zip extensionを追加しようと思っております。 以下の2つの方法を試しましたが、同じエラーでうまく行きません。 1. peclを使用してinstall $ sudo pecl install zip ...(略) configure: error: Ple

    • 0評価
    • 241PV
    maisumakun maisumakun 1ヶ月前に ベストアンサー
  • 解決済

    回答
    1

    Linux(CentOS7)にてrpmでインストールできない

    現在linuxサーバーでLamp環境を構築しようとしています。 早速linuxのコンソールにて作業しているのですが、 remi-release-7.rpmをインストールしようと下記コマンドを入れたところ $ rpm -Uvh http://rpms.famillecollet.com/enterprise/remi-release-7.rpm 下記のよ

    • 0評価
    • 70PV
    Hauston Hauston 1ヶ月前に 回答
  • 解決済

    回答
    1

    CENTOSでインストールされているパッケージ名とそれに付随するリストを出すコマンドはありますでしょ...

    Yum list installed コマンドでパッケージの一覧は出てきますが、それが所属するGroupを同時に表示するコマンドとかって ありますでしょうか? たとえば、firewalldでしたら下記のようにUnspecfied であるとわかります。でも、これを700以上 あるパッケージに対して打鍵するのは現実的ではありません root@:/# rp

    • -1評価
    • 97PV
    dame-dame dame-dame 2ヶ月前に ベストアンサー
  • 解決済

    回答
    1

    zabbixエージェントを意図したバージョンでインストールしたい。

    前提・実現したいこと 監視対象サーバに、zabbixサーバにインストールされているzabbixと同じバージョンのzabbixエージェント(2.4。最悪メジャーバージョンが同じであれば良い)をインストールしたい 発生している問題&試したこと 1.rpm -ivh http://repo.zabbix.com/zabbix/2.4/rhel/6/x86_64

    • 0評価
    • 133PV
    ringomilk ringomilk 2ヶ月前に ベストアンサー
  • 解決済

    回答
    1

    centos6にatomエディタはインストールできるでしょうか

    前提・実現したいこと centos6にコマンドラインからatomエディタを インストールしたいのですが可能でしょうか。 http://elearning.wsldp.com/pcmagazine/install-atom-centos7/ 上記のページを参考にインストールを試みましたが 以下のようなエラーがでて対応策があるのか調査しておりま

    • 0評価
    • 447PV
    ruuusaamarki ruuusaamarki 3ヶ月前に ベストアンサー
  • 解決済

    回答
    1

    RPM パッケージの実行権限

    初歩的な質問で申し訳ありませんが、ご教示頂けますでしょうか。 (初めて質問させていただくため、失礼等ございましたら申し訳ありませんが、どうぞご指摘ください。) cdrom 等のメディアからパッケージ ファイルをインストールする場合、それらパッケージ ファイル(.rpm)には既定で、read only として読み取り権限のみが付与されています。

    • 0評価
    • 312PV
    toraoo toraoo 8ヶ月前に ベストアンサー
  • 解決済

    回答
    2

    cpan2rpmでTimeDateをインストールしようとすると下記エラーが表示されてしまう

    前提(環境) OS : AmazonLinux(Amazon Linux AMI 2016.09.0 (HVM), SSD Volume Type - ami-0c11b26d) 他に何か必要情報がありましたらコメントしていただけると嬉しいです。 困っていること 標題の通りで、下記エラーが表示されてしまい解決できずに困っています。 [e

    • 0評価
    • 326PV
    kk123 kk123 9ヶ月前に ベストアンサー
  • 受付中

    回答
    2

    jdk-8u111-linux-x64.rpmのインストールについて

    linux ubuntuをつかっています。 jdk8u111-linux-x64.rpmをダウンロードして、/rootに移動させたあと、 rpm -i /root/jdk8u111-linux-x64.rpm とターミナルで打ち込んだところ rpm: RPM should not be used directly install RPM packag

    • 0評価
    • 427PV
    ynakano ynakano 9ヶ月前に コメント
  • 解決済

    回答
    4

    centos6でrpmが使えないので、使えるようにしたいです。

    前提・実現したいこと Oracle11gR2をインストールするための必要なパッケージを rpmでインストールしようとしたのですが、以下のエラーメッセージが発生しました。 rpmを使える状態にしたいです。 発生している問題・エラーメッセージ rpm: error while loading shared libraries: libelf.so.

    • 0評価
    • 882PV
    Atsushi_Tama Atsushi_Tama 11ヶ月前に 回答
  • 解決済

    回答
    1

    nodejs-0.10.46-1nodesource.el6.x86_64をアンインストールしたい

    疑問点 sudo rpm -e nodesource-release-el6-1.noarch または sudo yum remove nodesource で nodejs-0.10.46-1nodesource.el6.x86_64というパッケージ? を削除できるのでしょうか。 実行してこれ以上こじれるのが危険すぎると思い ま

    • 0評価
    • 906PV
    ruuusaamarki ruuusaamarki 1年以上前に ベストアンサー
  • 解決済

    回答
    1

    ディストリビューションについて

    有識者の皆様 よろしくお願いします。 「CentOS Linux release 7.2.1511 (Core)」を利用しています。 脆弱性対応のため、squidのバージョンを「3.3.8 → 4.0.12」にアップグレードを検討しています。 拡張レポジトリよりアップデートを試みましたが、以下の依存関係によりアップデートが完了しません。

    • 0評価
    • 519PV
    kiyari kiyari 1年以上前に ベストアンサー
  • 解決済

    回答
    5

    既存PHPを残して別バージョンのPHPを並行インストールは可能なのか

    目的 サーバー管理会社のカスタマーサポートに連絡してPHPのバージョンを上げたいと伝えたところ、サポート外なので答えられませんとの回答を得ました。 既存PHP環境を変えずに試しに別バージョンのPHPを動かしてみたい場合、どうしたらいいんでしょうか。 このパスだけはこっちのPHPを使う、っていうのが理想ですが。 (さくらのレンタルサーバーみたいにま

    • 0評価
    • 945PV
    m6u m6u 1年以上前に ベストアンサー
  • 解決済

    回答
    1

    CentOS 6から要らないパッケージを削除したい

    初めて質問します。ドキドキしますね。 実現したいこと・知りたいこと yumまたはrpmでeximパッケージを削除したい。 rpmで--nodepで削除することは可能ですが、そうすると上のパッケージに影響が出るんでしょうか? それを調べるのはどうすればいいんでしょうか? 発生している問題 何日か前にyumでアップデートしたところexim

    • 0評価
    • 670PV
    shi_ue shi_ue 1年以上前に ベストアンサー
  • 解決済

    回答
    1

    yumとrpmは姉妹ですか?

    『yum list installed』とうつと インストール済みのrpmパッケージを表示します。 yumコマンドなのになぜrpmのパッケージを表示するのでしょうか。 yumとrpmの関係がわかりません よろしくお願いいたします

    • 0評価
    • 494PV
    RM_4 RM_4 1年以上前に ベストアンサー
  • 解決済

    回答
    2

    yumやrpmというコマンドを使用可能にするために

    閲覧ありがとうございます。 初歩の初歩過ぎて質問するのもはばかられる内容なのですが、調べても理解不能なため質問させて頂きます。 前提としてvagrantを使用しており、Apache、php(phpMyadmin)、MySQLがパソコンに入っております。 windows7を使用しておりますが、vagrantを使っているためLinuxでこういったプ

    • 0評価
    • 590PV
    pikachuchuchu pikachuchuchu 1年以上前に ベストアンサー
  • 受付中

    回答
    2

    RHELの不具合の調べ方

    RedHatなどでbashの脆弱性やglibcの脆弱性とかさまざまな脆弱性の情報がありますが、展開されているパッケージに不具合があることもあるかと思います。ですが、その不具合の情報はほとんどが英語で書かれていて、正直必要な部分を拾っていくのがうまくできません。そういった英語の情報ページを読まなければならないとき、どのように読んだらいいのでしょうか。Googl

    • 0評価
    • 572PV
    TaichiYanagiya TaichiYanagiya 1年以上前に 回答
  • 解決済

    回答
    3

    rpm -qaの出力結果を綺麗に表示

    はじめまして、以下の実行結果と同じ様になる方法を教えてください。 $ rpm -qa --queryformat="%{NAME}/%{VERSION}/%{RELEASE}/%{ARCH}\n" '^java*'--queryformat を使用せず「$ rpm -qa '^java*' | ***」のようにしたいです。想像としてはgrep,split,

    • 0評価
    • 1236PV
    TaMaMhyu TaMaMhyu 1年以上前に 回答
  • 1

タグ情報

  • あなたの順位

    -

  • タグ登録者数

    18

  • 総質問数

    19

  • 今週の質問数

    0

関連するタグ

思考するエンジニアのためのQ&Aサイト「teratail」について詳しく知る